ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Erik Hatcher <jakarta-...@ehatchersolutions.com>
Subject Re: 1.5 branch still uses com.ibm.bsf in Script.java
Date Mon, 18 Aug 2003 05:36:40 GMT
That change will not be backported to Ant 1.5.x - in fact I don't think 
there will be another 1.5.x release.

Feel free to jump on board with a version of Ant 1.6 - which is _not_ 
unstable (nor any version of Ant I've ever built myself).

	Erik


On Saturday, August 16, 2003, at 03:08  PM, Trevor Harmon wrote:

> Hi,
>
> When trying to use <script> with Ant, I discovered problems:
>
>    Missing dependency com.ibm.bsf.BSFException
>
> This can easily be fixed by downloading and installing IBM's version 
> of BSF. However, this prevents me from using "beanshell" as my 
> scripting language because Beanshell's jar references org.apache.bsf, 
> not org.ibm.bsf.
>
> When I looked at the CVS log for Ant's Script.java (in 
> org/apache/tools/ant/taskdefs/optional), I noticed that revision 1.19 
> changed the com.ibm.bsf references to org.apache.bsf references. 
> Unfortunately, this important change has not been backported to the 
> 1.5 branch.
>
> I hope that the next 1.5.x release will contain the 1.19 patch to 
> Script.java. Until then, I am having to run unstable development 
> versions of Ant or patch and recompile the source code myself.
>
> Thank you,
>
> Trevor
>
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
> For additional commands, e-mail: user-help@ant.apache.org
>


---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message